//	Bit_Slice.v
/*
 *  One slice of the MIPS ALU.
 *  C. Vickery, October 2008
 */

module Bit_Slice (
  input wire Ain, Bin, Cin, Ainv, Bneg, F1, F0, SLTin,
  output wire Result, Cout, SLTout
  );

  wire Aprime, Bprime, Sum, And, Or;
  wire [1:0] sel;
  assign Aprime = Ain ^ Ainv;
  assign Bprime = Bin ^ Bneg;
  assign And = Aprime & Bprime;
  assign Or = Aprime | Bprime;
  assign sel = {F1, F0};
  Full_Adder full_adder(.Ain(Aprime), .Bin(Bprime), .Cin(Cin), .Sum(Sum), .Cout(Cout));
  assign SLTout = Sum;
  assign Result = (sel == 2'b00) ? And :
                  (sel == 2'b01) ? Or  :
                  (sel == 2'b10) ? Sum : SLTin;
endmodule
