module MIPS_ALU_Testbed(
	input wire  [9:0] Switch,
	input wire  [3:0] Key,
	output wire [9:0] RedLED,
	output wire [3:0] GreenLED,
	output wire [6:0] SevenSeg_3,
	output wire [6:0] SevenSeg_2,
	output wire [6:0] SevenSeg_1,
	output wire [6:0] SevenSeg_0
	);

	wire [3:0] 	Result;
	wire		C, V, N, Z;
	
	assign RedLED = Switch;
	assign GreenLED = ~Key;
	hex2sevenseg Result_Display(.Hex( Result ), .Segments (SevenSeg_0) );
    hex2sevenseg CVNZ_Display(.Hex( {C, V, N, Z} ), .Segments(SevenSeg_1) );
    hex2sevenseg B_Display(.Hex( Switch[3:0]), .Segments(SevenSeg_2) );
    hex2sevenseg A_Display(.Hex( Switch[9:6]), .Segments(SevenSeg_3) );
	MIPS_ALU     mips_alu (.A( Switch[9:6] ), .B( Switch[3:0] ), .Func( ~Key ), .Result( Result ), .CVNZ( {C, V, N, Z} ));

endmodule
